/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/_variables.scss';

.AppContainer {
  display: flex;
}

.MainContent {
  display: flex;
  flex-flow: column;
  width: 100vw;
  height: 100vh;
  overflow-x: hidden;
  @include breakpoint(sm) {
    width: 100vw;
  }
}

.ContentComplete {
  @include ContentComplete;
  @include breakpoint(sm) {
    overflow-y: visible;
  }
}

.ButtonContainer {
  align-self: center;
  display: flex;
  flex-flow: column;
  justify-content: space-around;
  position: absolute;
  top: 20vh;

  .Primary {
    margin: 1em;
  }
  h1 {
    text-align: center;
  }
}
h3 {
  font-weight: 500;
}
p {
  margin-top: 0;
  margin-bottom: 0em;
}
.FunderButtonContainer {
  display: flex;
  flex-flow: row;
  justify-content: inherit;
}

::-webkit-scrollbar {
  width: 10px;
  height: 10px;
  @include breakpoint(sm) {
    display: none;
  }
}
::-webkit-scrollbar-thumb {
  background: $coa-scrollbar-thumb;
  border-radius: 10px;
}
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px #fff;
  border-radius: 20px;
}
::-moz-scrollbar {
  width: 10px;
  height: 10px;
  display: block;
  background: #bfc5ccad;
}
::-moz-scrollbar-track {
  box-shadow: inset 0 0 5px #fff;
  border-radius: 20px;
  background: #bfc5ccad;
}
::-moz-scrollbar-thumb {
  background: #bfc5ccad;
  border-radius: 10px;
}

.spacedivider {
  margin: 0.5em 0;
}
//LINKS TRANSITION

button.redLink > span {
  color: $danger-color;
  position: relative;
  background: transparent;
  padding: 0.4em 0.5em;
  &:hover {
    color: $danger-color;
  }
}
button.redLink::before {
  content: '';
  display: block;
  opacity: 0;
  position: absolute;
  transition-duration: 0.15s;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  z-index: -1;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background: $danger-color;
  border-radius: 4px;
  transform: scale(0);
  transition-property: transform, opacity;
}
button.redLink:hover::before {
  opacity: 0.06;
  transform: scale(1);
  opacity: 0.2;
  z-index: 1;
}

button.greenLink > span {
  color: $success-color;
  position: relative;
  background: transparent;
  padding: 0.4em 0.5em;
  &:hover {
    color: $success-color;
  }
}
button.greenLink::before {
  content: '';
  display: block;
  opacity: 0;
  position: absolute;
  transition-duration: 0.15s;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  z-index: -1;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background: $success-color;
  border-radius: 4px;
  transform: scale(0);
  transition-property: transform, opacity;
}
button.greenLink:hover::before {
  opacity: 0.06;
  transform: scale(1);
  opacity: 0.2;
  z-index: 1;
}

button.blueLink > span {
  color: $primary-color;
  position: relative;
  background: transparent;
  padding: 0.4em 0.5em;
  &:hover {
    color: $primary-color;
  }
}
button.blueLink::before {
  content: '';
  display: block;
  opacity: 0;
  position: absolute;
  transition-duration: 0.15s;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  z-index: -1;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background: $primary-color;
  border-radius: 4px;
  transform: scale(0);
  transition-property: transform, opacity;
}
button.blueLink:hover::before {
  opacity: 0.06;
  transform: scale(1);
  opacity: 0.2;
  z-index: 1;
}

// GENERAL CLASSES

.w100 {
  width: 100%;
}
.h100 {
  height: 100%;
}
.scrollY {
  overflow-y: scroll;
}
.flex {
  display: flex;
  align-items: center;
}
.AlignCenter {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.flex-wrap {
  display: flex;
  flex-wrap: wrap;
  padding: 0.5em 0;
}
.wrap {
  display: flex;
  flex-wrap: wrap;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}
.relative {
  position: relative;
}
.center {
  display: flex;
  align-items: center;
  justify-content: center;
}
.TextRed {
  color: $danger-color;
}
.space-between {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.vertical {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.opacity {
  opacity: 0.7;
}
.txtright {
  text-align: right;
}
.ant-breadcrumb {
  padding: 1em 0 0 0;
}
.has-error .ant-form-explain,
.has-error .ant-form-split {
  @include primary-text($label, $danger-color, 400);
  margin-bottom: 0;
  margin-top: 0.2em;
  font-style: italic;
  min-height: 15px;
}
.speech-bubble p {
  margin: 0 0 10px;
}
.speech-bubble p:last-of-type {
  margin-bottom: 0;
}

.speech-bubble::after {
  border-left: 20px solid transparent;
  border-top: 20px solid #efefef;
  bottom: -20px;
  content: '';
  position: absolute;
  right: 20px;
}
/** ant inputs */

.ant-input,
.ant-select-selection {
  border-radius: 2px;
  border: 1px solid $border;
}
.ant-select-selection__placeholder,
.ant-select-dropdown-menu-item,
.ant-select-selection-selected-value,
.ant-select-selection--multiple > ul > li,
.ant-select-selection--multiple .ant-select-selection__rendered > ul > li {
  font-size: $body-2;
}
.ant-input::placeholder,
.ant-select::placeholder {
  color: $border;
  font-size: 13px;
}
.InputTwoLabel {
  .ant-form-item-label label {
    line-height: 28px;
  }
  .LabelDescription {
    text-align: left;
    position: relative;
    top: -5px;
    span {
      display: block;
      line-height: normal;
      white-space: normal;
    }
  }
  .LabelDescriptionIF {
    text-align: left;
    position: relative;
    top: 0px;
    line-height: 14px;
    span {
      display: block;
      line-height: normal;
      white-space: normal;
    }
    @include breakpoint(sm) {
      line-height: 20px;
    }
  }
}
.ant-form-item {
  margin-bottom: 1em;
}

/** Speech bubble with drop shadow and border */

.speech-bubble-ds {
  color: #6ca8ee;
  border: 1px solid #a4caf3;
  border-radius: 4px;
  font-size: 12px;
  background: #f7f9fb70;
  line-height: 1.3;
  padding: 0.5em 1em;
  position: absolute;
  right: 12em;
  box-shadow: 3px 3px 1px 0px #e9ecef;
  p {
    color: black;
  }
  strong {
    color: #4c97e8;
  }
}

.speech-bubble-ds-arrow {
  top: 26px;
  position: absolute;
  left: 22px;
}

.speech-bubble-ds-arrow::after {
  border-right: 12px solid transparent;
  border-top: 12px solid #a4caf3;
  bottom: 6px;
  content: '';
  position: absolute;
  right: 16px;
  transform: rotate(-45deg);
}
.speech-bubble-ds-top {
  color: #6ca8ee;
  border: 1px solid #a4caf3;
  border-radius: 4px;
  font-size: 12px;
  background: #f7f9fb70;
  line-height: 1.3;
  padding: 0.5em 1em;
  position: absolute;
  top: -5em;
  box-shadow: 3px 3px 1px 0px #e9ecef;
  p {
    color: black;
  }
  strong {
    color: #4c97e8;
  }
}
.speech-bubble-ds-arrow-top {
  position: absolute;
  left: 50%;
}
.speech-bubble-ds-arrow-top::after {
  border-right: 12px solid transparent;
  border-top: 12px solid #a4caf3;
  content: '';
  position: absolute;
  transform: rotate(-135deg);
}

.ant-tag {
  font-size: 10px;
  line-height: 12px;
  padding: 5px 10px;
  border-radius: 40px;
  color: $tag-grey-color;
  background: $tag-grey-bg;
  border: solid 1px $tag-grey-color;
}
.ant-tag-cyan {
  color: $cyan;
  background: $cyanbg;
}
.ant-tag-green {
  color: $tag-green-color;
  background: $tag-green-bg;
  border: solid 1px $tag-green-color;
}
.ant-tag-red {
  color: $tag-red-color;
  background: $tag-red-bg;
  border: solid 1px $tag-red-color;
}
.ant-tag-yellow {
  color: $tag-yellow-color;
  background: $tag-yellow-bg;
  border: solid 1px $tag-yellow-color;
}
.ant-tag-blue {
  color: $tag-blue-color;
  background: $tag-blue-bg;
  border: solid 1px $tag-blue-color;
}
.ant-tag.Follow {
  color: $primary-color;
  background: rgba(76, 127, 247, 0.23);
}

//MODALS
/*
.ant-modal-content {
  border-radius: 10px;
  .ant-modal-header {
    padding: 1em;
    img {
      margin-right: 0.5em;
    }
    .ant-modal-title {
      @include primary-text($labelbig, $on-surface, 500);
    }
  }
  .ant-modal-body {
    padding: 1em;
  }
}

.ant-modal-mask {
  background-color: #000000a3;
}

.CustomModal {
  .ant-modal-footer {
    display: flex;
    justify-content: center;

    .ant-btn {
      padding-left: 4em;
      padding-right: 4em;
      border-radius: 4px;
      &-secondary {
        color: #4C7FF7;
        border-color: #4C7FF7;
      }
      span {
        font-weight: bold;
      }
    }
  }
}
 */
